Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.infragrid.ai/v1/runbooks/{runbook_id}/publish \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "expectedVersion": 123 } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({expectedVersion: 123}) }; fetch('https://api.infragrid.ai/v1/runbooks/{runbook_id}/publish', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.infragrid.ai/v1/runbooks/{runbook_id}/publish" payload = { "expectedVersion": 123 } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
Publish a reviewed Runbook revision for execution.
runbooks:write
409
Related topics